---
title: GlobalEventHandlers.onmouseout
slug: Web/API/GlobalEventHandlers/onmouseout
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <code><strong>onmouseout</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("mouseout")}} events.</p>

<p>The <code>mouseout</code> event fires when the mouse leaves an element. For example, when the mouse moves off of an image in the web page, the <code>mouseout</code> event is raised for that image element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>element</em>.onmouseout = <em>function</em>;
</pre>

<h2 class="editable" id="Example"><span><span>Example</span></span></h2>

<p><span><span>This example adds an <code>onmouseout</code> and an <code>onmouseover</code> event to a paragraph. Try moving your mouse over and out of the element.</span></span></p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Test your mouse on me!&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">const p = document.querySelector('p');
p.onmouseover = logMouseOver;
p.onmouseout = logMouseOut;

function logMouseOver() {
  p.textContent = 'MOUSE OVER detected';
}

function logMouseOut() {
  p.textContent = 'MOUSE OUT detected';
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onmouseout','onmouseout')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onmouseout")}}</p>
</div>
